

<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title></title>
<link rel="apple-touch-icon" href="https://cdn.jsdelivr.net/gh/extent-framework/extent-github-cdn@b00a2d0486596e73dd7326beacf352c639623a0e/commons/img/logo.png">
<link rel="shortcut icon" href="https://cdn.jsdelivr.net/gh/extent-framework/extent-github-cdn@b00a2d0486596e73dd7326beacf352c639623a0e/commons/img/logo.png">
<link href="https://cdn.jsdelivr.net/gh/extent-framework/extent-github-cdn@d6562a79075e061305ccfdb82f01e5e195e2d307/spark/css/spark-style.css" rel="stylesheet" />
<link href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
<script src="https://cdn.jsdelivr.net/gh/extent-framework/extent-github-cdn@7cc78ce/spark/js/jsontree.js"></script>
<style type="text/css"></style></head><body class="spa -report standard">
  <div class="app">
    <div class="layout">
<div class="header navbar">
<div class="vheader">
<div class="nav-logo">
<a href="#">
<div class="logo" style="background-image: url('https://cdn.jsdelivr.net/gh/extent-framework/extent-github-cdn@b00a2d0486596e73dd7326beacf352c639623a0e/commons/img/logo.png')"></div>
</a>
</div>
<ul class="nav-left">
<li class="search-box">
<a class="search-toggle" href="#">
<i class="search-icon fa fa-search"></i>
<i class="search-icon-close fa fa-close"></i>
</a>
</li>
<li class="search-input"><input id="search-tests" class="form-control" type="text" placeholder="Search..."></li>
</ul>
<ul class="nav-right">
<li class="m-r-10">
<a href="#"><span class="badge badge-primary"></span></a>
</li>
<li class="m-r-10">
<a href="#"><span class="badge badge-primary">Jan 1, 2024 05:02:44 pm</span></a>
</li>
</ul>
</div>
</div><div class="side-nav">
<div class="side-nav-inner">
<ul class="side-nav-menu">
<li class="nav-item dropdown" onclick="toggleView('test-view')">
<a id="nav-test" class="dropdown-toggle" href="#">
<span class="ico"><i class="fa fa-list"></i></span>
</a>
</li>
<li class="nav-item dropdown" onclick="toggleView('dashboard-view')">
<a id="nav-dashboard" class="dropdown-toggle" href="#">
<span class="ico"><i class="fa fa-bar-chart"></i></span>
</a>
</li>
</ul>
</div>
</div>      <div class="vcontainer">
        <div class="main-content">
<div class="test-wrapper row view test-view">
  <div class="test-list">
    <div class="test-list-tools">
<ul class="tools pull-left">
<li><a href="#"><span class="font-size-14">Tests</span></a></li>
</ul>
<ul class="tools text-right">
<li class="dropdown">
<a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-exclamation-circle"></i></a>
<ul id="status-toggle" class="dropdown-menu dropdown-md p-v-0">
<a class="dropdown-item" status="pass" href="#"><span>Pass</span><span class="status success"></span></a>
<div class="dropdown-divider"></div>
<a status="clear" class="dropdown-item" href="#"><span>Clear</span><span class="pull-right"><i class="fa fa-close"></i></span></a>
</ul>
</li>
</ul>
</div>    <div class="test-list-wrapper scrollable">
      <ul class="test-list-item">
        <li class="test-item"  status="pass" test-id="1"
          author=""
          tag=""
          device="">
          <div class="test-detail">
            <p class="name">Test to verify the search functionality in the home page</p>
            <p class="text-sm">
              <span>5:02:45 pm</span> / <span>00:00:02:579</span>
              <span class="badge pass-bg log float-right">Pass</span>
            </p>
          </div>
          <div class="test-contents d-none">
<div class="detail-head">
<div class="p-v-10">
<div class="info">
<h5 class="test-status text-pass">Test to verify the search functionality in the home page</h5>
<span class='badge badge-success'>01.01.2024 5:02:45 pm</span>
<span class='badge badge-danger'>01.01.2024 5:02:47 pm</span>
<span class='badge badge-default'>00:00:02:579</span>
&middot; <span class='uri-anchor badge badge-default'>#test-id=1</span>
<span class='badge badge-default pointer float-right ml-1 et'><i class="fa fa-chevron-down"></i></span>
<span class='badge badge-default pointer float-right ct'><i class="fa fa-chevron-up"></i></span>
</div>
</div>
</div>    <div class="row mb-3"><div class="col-md-3">
<img data-featherlight='C:\Users\Abhi\Downloads\Amazonframework\amazonuiframework\screenshots\Test to verify the search functionality in the home page.PNG' src="C:\Users\Abhi\Downloads\Amazonframework\amazonuiframework\screenshots\Test to verify the search functionality in the home page.PNG">
    <div class="title">Test to verify the search functionality in the home page</div>
    </div></div>
<div class="detail-body mt-4">
<table class="table table-sm">
  <thead><tr><th class="status-col">Status</th><th class="timestamp-col">Timestamp</th><th class="details-col">Details</th></tr></thead>
  <tbody>
      <tr class="event-row">
        <td><span class="badge log pass-bg">Pass</span></td>
        <td>5:02:47 pm</td>
        <td>
          Test Executed Succesfully!!!
        </td>
      </tr>
  </tbody>
</table>
</div>
          </div>
        </li>
        <li class="test-item"  status="pass" test-id="2"
          author=""
          tag=""
          device="">
          <div class="test-detail">
            <p class="name">To verify if search results are displayed as expected</p>
            <p class="text-sm">
              <span>5:02:47 pm</span> / <span>00:00:06:111</span>
              <span class="badge pass-bg log float-right">Pass</span>
            </p>
          </div>
          <div class="test-contents d-none">
<div class="detail-head">
<div class="p-v-10">
<div class="info">
<h5 class="test-status text-pass">To verify if search results are displayed as expected</h5>
<span class='badge badge-success'>01.01.2024 5:02:47 pm</span>
<span class='badge badge-danger'>01.01.2024 5:02:53 pm</span>
<span class='badge badge-default'>00:00:06:111</span>
&middot; <span class='uri-anchor badge badge-default'>#test-id=2</span>
<span class='badge badge-default pointer float-right ml-1 et'><i class="fa fa-chevron-down"></i></span>
<span class='badge badge-default pointer float-right ct'><i class="fa fa-chevron-up"></i></span>
</div>
</div>
</div>    <div class="row mb-3"><div class="col-md-3">
<img data-featherlight='C:\Users\Abhi\Downloads\Amazonframework\amazonuiframework\screenshots\To verify if search results are displayed as expected.PNG' src="C:\Users\Abhi\Downloads\Amazonframework\amazonuiframework\screenshots\To verify if search results are displayed as expected.PNG">
    <div class="title">To verify if search results are displayed as expected</div>
    </div></div>
<div class="detail-body mt-4">
<table class="table table-sm">
  <thead><tr><th class="status-col">Status</th><th class="timestamp-col">Timestamp</th><th class="details-col">Details</th></tr></thead>
  <tbody>
      <tr class="event-row">
        <td><span class="badge log pass-bg">Pass</span></td>
        <td>5:02:53 pm</td>
        <td>
          Test Executed Succesfully!!!
        </td>
      </tr>
  </tbody>
</table>
</div>
          </div>
        </li>
        <li class="test-item"  status="pass" test-id="3"
          author=""
          tag=""
          device="">
          <div class="test-detail">
            <p class="name">To verify if buttons are displayed as expected in the Product Page</p>
            <p class="text-sm">
              <span>5:02:53 pm</span> / <span>00:00:18:208</span>
              <span class="badge pass-bg log float-right">Pass</span>
            </p>
          </div>
          <div class="test-contents d-none">
<div class="detail-head">
<div class="p-v-10">
<div class="info">
<h5 class="test-status text-pass">To verify if buttons are displayed as expected in the Product Page</h5>
<span class='badge badge-success'>01.01.2024 5:02:53 pm</span>
<span class='badge badge-danger'>01.01.2024 5:03:11 pm</span>
<span class='badge badge-default'>00:00:18:208</span>
&middot; <span class='uri-anchor badge badge-default'>#test-id=3</span>
<span class='badge badge-default pointer float-right ml-1 et'><i class="fa fa-chevron-down"></i></span>
<span class='badge badge-default pointer float-right ct'><i class="fa fa-chevron-up"></i></span>
</div>
</div>
</div>    <div class="row mb-3"><div class="col-md-3">
<img data-featherlight='C:\Users\Abhi\Downloads\Amazonframework\amazonuiframework\screenshots\To verify if buttons are displayed as expected in the Product Page.PNG' src="C:\Users\Abhi\Downloads\Amazonframework\amazonuiframework\screenshots\To verify if buttons are displayed as expected in the Product Page.PNG">
    <div class="title">To verify if buttons are displayed as expected in the Product Page</div>
    </div></div>
<div class="detail-body mt-4">
<table class="table table-sm">
  <thead><tr><th class="status-col">Status</th><th class="timestamp-col">Timestamp</th><th class="details-col">Details</th></tr></thead>
  <tbody>
      <tr class="event-row">
        <td><span class="badge log pass-bg">Pass</span></td>
        <td>5:03:11 pm</td>
        <td>
          Test Executed Succesfully!!!
        </td>
      </tr>
  </tbody>
</table>
</div>
          </div>
        </li>
        <li class="test-item"  status="pass" test-id="4"
          author=""
          tag=""
          device="">
          <div class="test-detail">
            <p class="name">To verify if the product is added to the cart</p>
            <p class="text-sm">
              <span>5:03:11 pm</span> / <span>00:00:02:928</span>
              <span class="badge pass-bg log float-right">Pass</span>
            </p>
          </div>
          <div class="test-contents d-none">
<div class="detail-head">
<div class="p-v-10">
<div class="info">
<h5 class="test-status text-pass">To verify if the product is added to the cart</h5>
<span class='badge badge-success'>01.01.2024 5:03:11 pm</span>
<span class='badge badge-danger'>01.01.2024 5:03:14 pm</span>
<span class='badge badge-default'>00:00:02:928</span>
&middot; <span class='uri-anchor badge badge-default'>#test-id=4</span>
<span class='badge badge-default pointer float-right ml-1 et'><i class="fa fa-chevron-down"></i></span>
<span class='badge badge-default pointer float-right ct'><i class="fa fa-chevron-up"></i></span>
</div>
</div>
</div>    <div class="row mb-3"><div class="col-md-3">
<img data-featherlight='C:\Users\Abhi\Downloads\Amazonframework\amazonuiframework\screenshots\To verify if the product is added to the cart.PNG' src="C:\Users\Abhi\Downloads\Amazonframework\amazonuiframework\screenshots\To verify if the product is added to the cart.PNG">
    <div class="title">To verify if the product is added to the cart</div>
    </div></div>
<div class="detail-body mt-4">
<table class="table table-sm">
  <thead><tr><th class="status-col">Status</th><th class="timestamp-col">Timestamp</th><th class="details-col">Details</th></tr></thead>
  <tbody>
      <tr class="event-row">
        <td><span class="badge log pass-bg">Pass</span></td>
        <td>5:03:14 pm</td>
        <td>
          Test Executed Succesfully!!!
        </td>
      </tr>
  </tbody>
</table>
</div>
          </div>
        </li>
        <li class="test-item"  status="pass" test-id="5"
          author=""
          tag=""
          device="">
          <div class="test-detail">
            <p class="name">To verify if the total price of the products in the cart is displayed</p>
            <p class="text-sm">
              <span>5:03:14 pm</span> / <span>00:00:00:365</span>
              <span class="badge pass-bg log float-right">Pass</span>
            </p>
          </div>
          <div class="test-contents d-none">
<div class="detail-head">
<div class="p-v-10">
<div class="info">
<h5 class="test-status text-pass">To verify if the total price of the products in the cart is displayed</h5>
<span class='badge badge-success'>01.01.2024 5:03:14 pm</span>
<span class='badge badge-danger'>01.01.2024 5:03:15 pm</span>
<span class='badge badge-default'>00:00:00:365</span>
&middot; <span class='uri-anchor badge badge-default'>#test-id=5</span>
<span class='badge badge-default pointer float-right ml-1 et'><i class="fa fa-chevron-down"></i></span>
<span class='badge badge-default pointer float-right ct'><i class="fa fa-chevron-up"></i></span>
</div>
</div>
</div>    <div class="row mb-3"><div class="col-md-3">
<img data-featherlight='C:\Users\Abhi\Downloads\Amazonframework\amazonuiframework\screenshots\To verify if the total price of the products in the cart is displayed.PNG' src="C:\Users\Abhi\Downloads\Amazonframework\amazonuiframework\screenshots\To verify if the total price of the products in the cart is displayed.PNG">
    <div class="title">To verify if the total price of the products in the cart is displayed</div>
    </div></div>
<div class="detail-body mt-4">
<table class="table table-sm">
  <thead><tr><th class="status-col">Status</th><th class="timestamp-col">Timestamp</th><th class="details-col">Details</th></tr></thead>
  <tbody>
      <tr class="event-row">
        <td><span class="badge log pass-bg">Pass</span></td>
        <td>5:03:15 pm</td>
        <td>
          Test Executed Succesfully!!!
        </td>
      </tr>
  </tbody>
</table>
</div>
          </div>
        </li>
      </ul>
    </div>
  </div>
<div class="test-content scrollable">
<div class="test-content-tools">
<ul><li><a class="back-to-test" href="#"><i class="fa fa-arrow-left"></i></a></li></ul>
</div>
<div class="test-content-detail"><div class="detail-body"></div></div>
</div></div>
<div class="container-fluid p-4 view dashboard-view">
<div class="row">
<div class="col-md-3">
<div class="card"><div class="card-body">
<p class="m-b-0">Started</p>
<h3>Jan 1, 2024 05:02:44 pm</h3>
</div></div>
</div>
<div class="col-md-3">
<div class="card"><div class="card-body">
<p class="m-b-0">Ended</p>
<h3>Jan 1, 2024 05:03:16 pm</h3>
</div></div>
</div>
<div class="col-md-3">
<div class="card"><div class="card-body">
<p class="m-b-0 text-pass">Tests Passed</p>
<h3>5</h3>
</div></div>
</div>
<div class="col-md-3">
<div class="card"><div class="card-body">
<p class="m-b-0 text-fail">Tests Failed</p>
<h3>0</h3>
</div></div>
</div>
</div>
<div class="row">
<div class="col-md-6">
<div class="card">
<div class="card-header">
<h6 class="card-title">Tests</h6>
</div>
<div class="card-body">
<div class="">
<canvas id='parent-analysis' width='115' height='90'></canvas>
</div>
</div>
<div class="card-footer">
<div><small data-tooltip='100%'>
<b>5</b> tests passed
</small>
</div>
<div>
<small data-tooltip='0%'><b>0</b> tests failed,
<b>0</b> skipped, <b data-tooltip='0%'>0</b> others
</small>
</div>
</div>
</div>
</div>
<div class="col-md-6">
<div class="card">
<div class="card-header">
<h6 class="card-title">Log events</h6>
</div>
<div class="card-body">
<div class="">
<canvas id='events-analysis' width='115' height='90'></canvas>
</div>
</div>
<div class="card-footer">
<div><small data-tooltip='100%'><b>5</b> events passed</small></div>
<div>
<small data-tooltip='0%'><b>0</b> events failed,
<b data-tooltip='%'>0</b> others
</small>
</div>
</div>
</div>
</div>
</div>
<div class="row"><div class="col-md-12">
<div class="card"><div class="card-header"><p>Timeline</p></div>
<div class="card-body pt-0"><div>
<canvas id="timeline" height="120"></canvas>
</div></div>
</div>
</div></div>
<script>
var timeline = {
"Test to verify the search functionality in the home page":2.579,"To verify if search results are displayed as expected":6.111,"To verify if buttons are displayed as expected in the Product Page":18.208,"To verify if the product is added to the cart":2.928,"To verify if the total price of the products in the cart is displayed":0.365
};
</script>
<div class="row">
</div>
</div>
<script>
var statusGroup = {
parentCount: 5,
passParent: 5,
failParent: 0,
warningParent: 0,
skipParent: 0,
childCount: 5,
passChild: 0,
failChild: 0,
warningChild: 0,
skipChild: 0,
infoChild: 0,
grandChildCount: 5,
passGrandChild: 0,
failGrandChild: 0,
warningGrandChild: 0,
skipGrandChild: 0,
infoGrandChild: 0,
eventsCount: 5,
passEvents: 5,
failEvents: 0,
warningEvents: 0,
skipEvents: 0,
infoEvents: 0
};
</script>        </div>
      </div>
    </div>
  </div>
<script src="https://cdn.jsdelivr.net/gh/extent-framework/extent-github-cdn@d6562a79075e061305ccfdb82f01e5e195e2d307/spark/js/spark-script.js"></script>
<script type="text/javascript"></script></body>
</html>